Subject: Re: [Pce] FW: I-D Action: draft-ietf-pce-wson-routing-wavelength-12.txt

From: Julien Meuric <[email-masked]>
Date: Thu, 31 Jul 2014 14:10:19 +0200

Hi Young and WSON co-authors.

As part of the shepherding of the WSON requirement draft, please find 
below some comments to address before sending to the IESG.

Regards,

Julien

----------
Globally, the way the top-level section titles are indented creates 
troubles to IETF tools, including idnits. Please remove spacing before 
these section header, from 1. to 8.
---
Along the document, unnecessary double spacing happens multiple times, 
especially after periods. Please clean them up.
---------
In the header, could you compact the author list by removing blank lines?
---------
s/described in RFC-2119 0./described in [RFC2119]./
---------
Abstract
---
It is better when the abstract appears on the 1st page: please move it 
before "Status of this Memo".
---
s/for Optical impairments/for optical impairments/
---------
Section 1.
---
- s/PCE based Architecture/PCE-based architecture/
- s/Generalized MPLS (GMPLS) networks/Generalized MPLS 
(GMPLS)-controlled networks/
- s/Optical Switching Element/optical switching element/
- s/communications Protocol/communication Protocol/
- s/WDM based optical networks/WDM-based optical networks/
- A paragraph break right before "A transparent optical network" would 
be appreciated.
- s/its route from/its path from/
- s/due to their relatively high cost/for cost reasons/
- s/all lightpath computation/all lightpath computations/
- s/for Optical impairments/for optical impairments/
---------
Section 2.
---
- s/in 0./in Figure 1./
- At the end of Figure 1's title, I would remove the period, to be 
consistent with Figure 2.
- The DWA case is actually a sub-case of "separate processes", replacing 
(c) by (b') would to the trick.
- To glue the text to the figure, 1./2./3. before paragraphs should be 
replaced by (a)/(b)/(b').
- NEW last sentence in (b'): "This alternative is a particular case of 
R+WA, it should be covered by GMPLS PCEP extensions and does not present 
new WSON-specific requirements" [beware of the hyphen]
- s/PCE based implementation/PCE-based implementation/
---------
Section 3.1.
---
- Starting with "1." leads to look for "2.", which does not exist: it 
would ease reading to drop "1." and start directly with "A PCEP request..."
- I would remove the "or" at the end of the line (i).
- Trailing text of (i) and (ii) should be aligned.
---------
Section 3.2.
---
- Trailing text of (i) and (ii) should be aligned.
- s/in R+WA or DWA/in R+WA or R+DWA/
- s/assigned to the route/assigned to the path/
- s/Label Sets/label set/
- s/no route/no path/
---------
Section 3.3.
---
- Before the 2 listed requirements, I suggest to add this NEW text:
"Sending simultaneous path requests for "routing only" computation is 
supported by PCEP specification [RFC 5440]. To remain consistent, the 
following requirements are added."
- s/the route and wavelength assigned to the route for each/the path and 
the assigned wavelength for each/
---------
Section 3.4.
---
- The phrase "b. Re-optimize wavelength(s)" reads odd, what about 
rephrasing into "b. Re-consider wavelength(s) allocation"?
- s/both wavelength and the path/both the wavelength and the path/
- s/no route/no path/
- s/both route and wavelength/both path and wavelength/
---------
Section 3.5.
---
- s/assigned wavelenght/assigned wavelength/
- s/Explicit Label or Label Sets/explicit label or label set/
- s/is NOT required/is not required/
- The "3.6." string and paragraph break has scrambled the last lines of 
the section
- s/or an policy based/or a policy-based/
---------
Section 3.6.
---
- Fix the section header (as mentioned above)
- s/for (E.g., random assignment, descending order, ascending order, 
etc.)/for, e.g., random assignment, descending order, ascending order, etc./
---
OLD:
"  2. A request for 2 or more paths (e.g., 1+1 link disjoint paths) MUST
      be able to specify an option constraining the path to have the
      same wavelength(s) assigned.

    Note that this is extremely useful in the case of protection with
    single transponder."
NEW:
"2. A request for two or more paths MUST be able to include an option 
constraining the path to have the same wavelength(s) assigned. This is 
useful in the case of protection with single transponder (e.g., 1+1 
link-disjoint paths)."
---
- s/contiguous wavelength/continuous wavelength/
- s/to constrain the wavelength continuity/to specify the precedence of 
wavelength continuity/
---------
Section 3.7.
---
- s/or any given links/or on any given links/
---------
Section 4.5.
---
Not clear if it is a misplaced requirement or a nice-to-have idea. I 
suggest replacing the sentence by the following NEW text:
"If PCE discovery mechanisms ([RFC5089] and [RFC5088]) were to be 
extended for technology-specific capabilities, advertising WSON RWA path 
computation capability should be considered."
---------
Section 8.
---
- RFCs 3471, 3473 and 6566 are note mentioned in the body of the I-D and 
should be dropped.
- RFC 4003 is missing and should be added to informative documents.
- RFC 4657 and PCEP-MIB should be moved from normative to informative 
(no need to read them to understand your I-D).
----THE END-----

Apr. 28, 2014 - Leeyoung:
> Hi Julien,
>
> This update reflects all the comments received from Cyril and Ramon as part of the WG LC.
>
> Cyril, please let the WG know if this update satisfies your comment.
>
> Best Regards,
> Young
>
> -----Original Message-----
> From: Pce [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Monday, April 28, 2014 11:29 AM
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>   This draft is a work item of the Path Computation Element Working Group of the IETF.
>
>          Title           : PCEP Requirements for WSON Routing and Wavelength Assignment
>          Authors         : Young Lee
>                            Greg Bernstein
>                            Jonas Martensson
>                            Tomonori Takeda
>                            Takehiro Tsuritani
>                            Oscar Gonzalez de Dios
> 	Filename        : draft-ietf-pce-wson-routing-wavelength-12.txt
> 	Pages           : 14
> 	Date            : 2014-04-28
>
> Abstract:
>     This memo provides application-specific requirements for the Path
>     Computation Element communication Protocol (PCEP) for the support of
>     Wavelength Switched Optical Networks (WSON). Lightpath provisioning
>     in WSONs requires a routing and wavelength assignment (RWA) process.
>     From a path computation perspective, wavelength assignment is the
>     process of determining which wavelength can be used on each hop of a
>     path and forms an additional routing constraint to optical light
>     path computation. Requirements for Optical impairments will be
>     addressed in a separate document.
>
>
>
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-pce-wson-routing-wavelength/
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-pce-wson-routing-wavelength-12
>
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-pce-wson-routing-wavelength-12
>
>
> Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce
>

---

From: Leeyoung <[email-masked]>
Date: Thu, 31 Jul 2014 20:39:13 +0000

Hi Julien,

All your comments have been reflected in the revision except:

Section 3.4.
---
- The phrase "b. Re-optimize wavelength(s)" reads odd, what about rephrasing into "b. Re-consider wavelength(s) allocation"?

I think Re-optimize is meant to include wavelength(s) re-allocation as well as path changes. I would leave the phrase as is. 

Attached are the idnits report and the working version (v.13). Let me know if this version satisfies you and if I should publish this. 

Thanks,
Young

-----Original Message-----
From: Julien Meuric [mailto:[email-masked]] 
Sent: Thursday, July 31, 2014 7:10 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: FW: [Pce] I-D Action: draft-ietf-pce-wson-routing-wavelength-12.txt

As part of the shepherding of the WSON requirement draft, please find below some comments to address before sending to the IESG.

Regards,

Julien

----------
Globally, the way the top-level section titles are indented creates troubles to IETF tools, including idnits. Please remove spacing before these section header, from 1. to 8.
---
Along the document, unnecessary double spacing happens multiple times, especially after periods. Please clean them up.
---------
In the header, could you compact the author list by removing blank lines?
---------
s/described in RFC-2119 0./described in [RFC2119]./
---------
Abstract
---
It is better when the abstract appears on the 1st page: please move it before "Status of this Memo".
---
s/for Optical impairments/for optical impairments/
---------
Section 1.
---
- s/PCE based Architecture/PCE-based architecture/
- s/Generalized MPLS (GMPLS) networks/Generalized MPLS (GMPLS)-controlled networks/
- s/Optical Switching Element/optical switching element/
- s/communications Protocol/communication Protocol/
- s/WDM based optical networks/WDM-based optical networks/
- A paragraph break right before "A transparent optical network" would be appreciated.
- s/its route from/its path from/
- s/due to their relatively high cost/for cost reasons/
- s/all lightpath computation/all lightpath computations/
- s/for Optical impairments/for optical impairments/
---------
Section 2.
---
- s/in 0./in Figure 1./
- At the end of Figure 1's title, I would remove the period, to be consistent with Figure 2.
- The DWA case is actually a sub-case of "separate processes", replacing
(c) by (b') would to the trick.
- To glue the text to the figure, 1./2./3. before paragraphs should be replaced by (a)/(b)/(b').
- NEW last sentence in (b'): "This alternative is a particular case of 
R+WA, it should be covered by GMPLS PCEP extensions and does not present
new WSON-specific requirements" [beware of the hyphen]
- s/PCE based implementation/PCE-based implementation/
---------
Section 3.1.
---
- Starting with "1." leads to look for "2.", which does not exist: it would ease reading to drop "1." and start directly with "A PCEP request..."
- I would remove the "or" at the end of the line (i).
- Trailing text of (i) and (ii) should be aligned.
---------
Section 3.2.
---
- Trailing text of (i) and (ii) should be aligned.
- s/in R+WA or DWA/in R+WA or R+DWA/
- s/assigned to the route/assigned to the path/
- s/Label Sets/label set/
- s/no route/no path/
---------
Section 3.3.
---
- Before the 2 listed requirements, I suggest to add this NEW text:
"Sending simultaneous path requests for "routing only" computation is supported by PCEP specification [RFC 5440]. To remain consistent, the following requirements are added."
- s/the route and wavelength assigned to the route for each/the path and the assigned wavelength for each/
---------
Section 3.4.
---
- The phrase "b. Re-optimize wavelength(s)" reads odd, what about rephrasing into "b. Re-consider wavelength(s) allocation"?
- s/both wavelength and the path/both the wavelength and the path/
- s/no route/no path/
- s/both route and wavelength/both path and wavelength/
---------
Section 3.5.
---
- s/assigned wavelenght/assigned wavelength/
- s/Explicit Label or Label Sets/explicit label or label set/
- s/is NOT required/is not required/
- The "3.6." string and paragraph break has scrambled the last lines of the section
- s/or an policy based/or a policy-based/
---------
Section 3.6.
---
- Fix the section header (as mentioned above)
- s/for (E.g., random assignment, descending order, ascending order, etc.)/for, e.g., random assignment, descending order, ascending order, etc./
---
OLD:
"  2. A request for 2 or more paths (e.g., 1+1 link disjoint paths) MUST
      be able to specify an option constraining the path to have the
      same wavelength(s) assigned.

    Note that this is extremely useful in the case of protection with
    single transponder."
NEW:
"2. A request for two or more paths MUST be able to include an option constraining the path to have the same wavelength(s) assigned. This is useful in the case of protection with single transponder (e.g., 1+1 link-disjoint paths)."
---
- s/contiguous wavelength/continuous wavelength/
- s/to constrain the wavelength continuity/to specify the precedence of wavelength continuity/
---------
Section 3.7.
---
- s/or any given links/or on any given links/
---------
Section 4.5.
---
Not clear if it is a misplaced requirement or a nice-to-have idea. I suggest replacing the sentence by the following NEW text:
"If PCE discovery mechanisms ([RFC5089] and [RFC5088]) were to be extended for technology-specific capabilities, advertising WSON RWA path computation capability should be considered."
---------
Section 8.
---
- RFCs 3471, 3473 and 6566 are note mentioned in the body of the I-D and should be dropped.
- RFC 4003 is missing and should be added to informative documents.
- RFC 4657 and PCEP-MIB should be moved from normative to informative (no need to read them to understand your I-D).